/****************************************************************************
 *
 * Copy right:   Qx.
 * File name:    MainTask.h
 * Description:  APP任务调取和异常处理
 * History:      2021-03-05
 *
 ****************************************************************************/
//全局变量
#include "app.h"
extern UINT32 Timer_count;//每100ms加1
extern volatile BOOL Sleep_flag;//睡眠标志位
extern AppNVMDataType AppNVMData;
extern AppDataBody AppDataInfo;
/*---------------------------------------------------------------------------*/
#define PROC_MAIN_TASK_STACK_SIZE           (1024+512)
typedef enum
{
    PROCESS_STATE_IDLE = 0,
    PROCESS_STATE_WORK,
    PROCESS_STATE_SLEEP
}process_Main;
void MainTaskInit(void* arg);
void MainTaskDeInit(void* arg);
