/****************************************************************************
 *
 * Copy right:   Qx.ChenJie
 * File name:    Fota.h
 * Description:  Fota函数
 * History:      2021-03-15
 * 
 ****************************************************************************/
#include "bsp_custom.h"
#define FLASH_BMS_FOTA_START_ADDR         0x2E6000
#define FLASH_BMS_FOTA_LEN               0x32000  //200k
#define FLASH_BMS_FOTA_END_ADDR         0x318000
typedef struct _Fota_Type
{
    bool Fota_update_error ;
    UINT32 Fota_All_Data_Len ;
    UINT32 Fota_Current_Addres ;
    UINT8 Fota_Recv_Data_Len ;
    UINT8 Fota_Recv_Data[100] ;
    UINT32 Fota_Flash_Addres;
    UINT8 Fota_CRC ;

}Fota_Type;
extern volatile bool NB_Fota_update_flag;
extern volatile bool BMS_Fota_update_flag;
void Fota_Func(UINT8 *DataPtr,INT32 connectId);